## START: Set by rpmautospec
## (rpmautospec version 0.7.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           dtkgui
Version:        5.6.32
Release:        %autorelease
Summary:        Deepin dtkgui
License:        LGPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dtkgui
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake

BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Help)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5X11Extras)
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}

BuildRequires:  cmake(DtkCore)
BuildRequires:  cmake(DtkBuildHelper)

BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  freeimage-devel
BuildRequires:  pkgconfig(libraw)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)

BuildRequires:  doxygen

%description
Dtkgui is the GUI module for DDE look and feel.

%package        devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       dtkcore-devel%{?_isa}

%description    devel
Header files and libraries for %{name}.

%prep
%autosetup

%build
%cmake \
    -DBUILD_DOCS=OFF \
    -DDTK_DISABLE_LIBXDG=ON

%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_libdir}/lib%{name}.so.5*
%{_libexecdir}/dtk5/DGui/

%files devel
%{_includedir}/dtk5/DGui/
%{_libdir}/pkgconfig/dtkgui*.pc
%{_libdir}/cmake/DtkGui/
%{_libdir}/lib%{name}.so
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_dtkgui.pri

%changelog
## START: Generated by rpmautospec
* Thu Sep 05 2024 Jan Grulich <jgrulich@redhat.com> - 5.6.32-3
- Rebuild (qt5)

* Fri Aug 09 2024 Felix Wang <topazus@outlook.com> - 5.6.32-2
- Fix build without libqtxdg

* Fri Aug 09 2024 Felix Wang <topazus@outlook.com> - 5.6.32-1
- 5.6.32

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Aug 20 2023 Robin Lee <cheeselee@fedoraproject.org> - 5.6.12-1
- New release 5.6.12

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.22-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.22-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.22-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Jan Grulich <jgrulich@redhat.com> - 5.5.22-4
- Drop BR: annobin

* Thu Jul 14 2022 Jan Grulich <jgrulich@redhat.com> - 5.5.22-3
- Rebuild (qt5)

* Tue May 17 2022 Jan Grulich <jgrulich@redhat.com> - 5.5.22-2
- Rebuild (qt5)

* Tue Apr 19 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.5.22-1
- New release 5.5.22

* Tue Mar 08 2022 Jan Grulich <jgrulich@redhat.com> - 5.5.21-2
- Rebuild (qt5)

* Fri Feb 18 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.5.21-1
- New release 5.5.21

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.17.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 06 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.5.17.1-1
- New release 5.5.17.1

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Mar 11 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.4.0-1
- feat: add github action (lxz)
- fix: disable text color hard to read (ck)
- feat: Initial packit setup (Robin Lee)

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.2.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Nov 25 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.2.2.18-2
- rebuild (qt5)

* Sun Nov 08 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.2.2.18-1
- new upstream release: 5.2.2.18

* Wed Sep 23 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.2.2.15-2
- Initial correct changelog
- Re-download upstream tarball
- Fix version value alignment

## END: Generated by rpmautospec
